> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tags

> Get list of tags for Customer



## OpenAPI

````yaml /automation.api.json get /tags
openapi: 3.0.3
info:
  title: OpenAPI definition for automation API
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account. You can retrieve it to
      view its properties, such as its current email address or locale. With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> The API does not expose all
      settings. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag helps our clients implement new features, test and deploy
      them via our SDK. This service allows you to create and configure the
      feature flag that your source code uses.
    name: Feature flag
  - description: >
      You can use your account to set up multiple websites. This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment. It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that already exists, such as user account
      information.
    name: Custom data
  - description: >-
      Experiment is an A/B test which can target a specific audience or any
      other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      link to one or several goals. The Kameleoon interface or Automation API
      can manage all goals. There are variety of different goals you can choose
      from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that Kameleoon
      has now renamed `KeyMoment` to `Triggers`.
    name: Key moment
  - description: >-
      Key page allows you to target visitors that have visited a particular
      page, or multiple pages on your website.
    name: Key page
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: Project theme config
  - description: This is an object representing a recommender block
    name: Recommender block
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors. You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: Studio recommender block
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: Takeaway comment
  - description: >-
      A targeting rule is a system entity that combines segments (user groups)
      and triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: Targeting rule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that you can edit for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started. Kameleoon saves all changes in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: Widget studio
  - description: This is an object representing widget studio template
    name: Widget studio template
  - description: Widget template setting API
    name: Widget template setting
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      A personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Goal campaign
    description: >-
      Retrieve experiments that use a specific goal, optionally filtered by
      whether that goal had a positive, negative, or neutral impact on the
      experiment. Results are paginated using cursor-based pagination.
  - name: Data API request stats
    description: Traffic statistics for requests sent to the Kameleoon Data API.
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Use these
      statistics to understand your website's audience and adjust your segments.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /tags:
    get:
      tags:
        - Tag
      summary: Get all tags
      description: Get list of tags for Customer
      operationId: get-all-tags
      parameters:
        - description: Tag type
          in: query
          name: type
          required: true
          schema:
            type: string
            enum:
              - TEAM
              - EXPERIMENT
              - FEATURE
              - PERSONALIZATION
              - SEGMENT
              - GOAL
              - WIDGET
              - STUDIO_THEME
              - IMAGE
              - AI_EXPLORATION_SCOPE
              - KEY_MOMENT
      responses:
        '200':
          content:
            '*/*':
              schema:
                type: array
                items:
                  type: string
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Bad Request
        '401':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unauthorized
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Forbidden
        '404':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Not Found
        '422':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unprocessable Content
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Locked
        '429':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Too Many Requests
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    ExternalResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````